Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 177656 - fspot crashes with traceback
Summary: fspot crashes with traceback
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: f-spot
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On: FC5Target
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-12 18:20 UTC by Dave Jones
Modified: 2015-01-04 22:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-04 22:46:13 UTC


Attachments (Terms of Use)

Description Dave Jones 2006-01-12 18:20:04 UTC
point f-spot at ~/photos directory, it scans them, and then..

min_zoom updated to 0.501204819277108
min_zoom updated to 0.501204819277108

Unhandled Exception: System.NullReferenceException: Object reference not set to
an instance of an object
in <0x00016> (wrapper unknown) Gdk.Rectangle:PtrToStructure (intptr,object)
in (unmanaged) 0x482e03
in <0x0000b> (wrapper managed-to-native)
System.Runtime.InteropServices.Marshal:PtrToStructure (intptr,System.Type)
in <0x000d4> Gdk.Region:GetRectangles ()
in <0x00046> IconView:OnExposeEvent (Gdk.EventExpose)
in <0x00076> Gtk.Widget:exposeevent_cb (intptr,intptr)
in <0x00030> (wrapper native-to-managed) Gtk.Widget:exposeevent_cb (intptr,intptr)
in (unmanaged) 0x31ce50f6ef
in <0x0000e> (wrapper managed-to-native) Gdk.Window:gdk_window_process_updates
(intptr,bool)
in <0x0002c> Gdk.Window:ProcessUpdates (bool)
in <0x00524> IconView:SetSize (int,int,int,int)
in <0x002e8> IconView:UpdateLayout (Gdk.Rectangle)
in <0x00090> IconView:OnSizeAllocated (Gdk.Rectangle)
in <0x0007f> Gtk.Widget:sizeallocated_cb (intptr,Gdk.Rectangle&)
in <0x00030> (wrapper native-to-managed) Gtk.Widget:sizeallocated_cb
(intptr,Gdk.Rectangle&)
in (unmanaged) 0x3c3cb0ae65
in <0x0000b> (wrapper managed-to-native) Gtk.Application:gtk_main_iteration ()
in <0x00008> Gtk.Application:RunIteration ()
in <0x00130> ImportCommand:DoImport (ImportBackend)
in <0x000ee> ImportCommand:Start ()
in <0x0039e> ImportCommand:HandleSourceChanged (object,System.EventArgs)
in <0x00063> (wrapper delegate-invoke)
System.MulticastDelegate:invoke_void_object_EventArgs (object,System.EventArgs)
in <0x000c9> GLib.Signal:voidObjectCallback (intptr,intptr)
in <0x00030> (wrapper native-to-managed) GLib.Signal:voidObjectCallback
(intptr,intptr)
in (unmanaged) 0x3c3cb0ae65
in <0x0000b> (wrapper managed-to-native) Gtk.Dialog:gtk_dialog_run (intptr)
in <0x00031> Gtk.Dialog:Run ()
in <0x0077b> ImportCommand:ImportFromFile (PhotoStore,string)
in <0x00060> MainWindow:ImportFile (string)
in <0x00068> ImportCommand:Execute ()
in <0x0004c> (wrapper delegate-invoke) System.MulticastDelegate:invoke_bool ()
in <0x00045> IdleProxy:Handler ()
in <0x00035> (wrapper native-to-managed) IdleProxy:Handler ()
in (unmanaged) 0x3c3c224b76
in <0x0000b> (wrapper managed-to-native) Gtk.Application:gtk_main ()
in <0x00008> Gtk.Application:Run ()
in <0x0000c> Gnome.Program:Run ()
in <0x00514> Driver:Main (string[])

Comment 1 Dave Jones 2006-01-12 20:29:27 UTC
with todays updates, it now crashes as soon as I run it (I don't even see the
gui now).

Starting new FSpot server

=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries
used by your application.
=================================================================

Stacktrace:

in <0xb> (wrapper managed-to-native)
System.Runtime.InteropServices.Marshal:PtrToStringAnsi (intptr)
in <0xfffffffffffff8a5> (wrapper managed-to-native)
System.Runtime.InteropServices.Marshal:PtrToStringAnsi (intptr)
in [0x91] Mono.Data.SqliteClient.SqliteDataReader:ReadpVm (intptr,int)
in [0x46] Mono.Data.SqliteClient.SqliteDataReader:.ctor
(Mono.Data.SqliteClient.SqliteCommand,intptr,int)
in <0xffffffffffffa405> (wrapper remoting-invoke-with-check)
Mono.Data.SqliteClient.SqliteDataReader:.ctor
(Mono.Data.SqliteClient.SqliteCommand,intptr,int)
in [0x68] Mono.Data.SqliteClient.SqliteCommand:ExecuteReader
(System.Data.CommandBehavior,bool,int&)
in [0x5] Mono.Data.SqliteClient.SqliteCommand:ExecuteReader
(System.Data.CommandBehavior)
in [0x2] Mono.Data.SqliteClient.SqliteCommand:ExecuteReader ()
in <0xcf> TagStore:LoadAllTags ()
in <0x8d> TagStore:.ctor (Mono.Data.SqliteClient.SqliteConnection,bool)
in <0xf8> Db:.ctor (string,bool)
in <0x280> Driver:Main (string[])
in <0xffffffffc04370bf> (wrapper runtime-invoke)
System.Object:runtime_invoke_void_string[] (object,intptr,intptr,intptr)

Native stacktrace:

        mono(mono_handle_native_sigsegv+0x88) [0x4f1711]
        mono [0x4c0210]
        /lib64/libpthread.so.0 [0x3c3dd0cbe0]
        mono(mono_string_new+0x2a) [0x44ea71]
        [0x40252a43]


Comment 2 Scott Tsai 2006-03-04 22:29:53 UTC
The March 5th update to mono-core and gtk# seems to have fixed this for me.
Before the update I could reproduce the exact traceback easily on an x86-64 system.

package versions after update:
f-spot-0.1.10-1
gtk-sharp-1.0.10-5
mono-core-1.1.13.4-1

Comment 3 Christopher Aillon 2006-03-04 22:46:13 UTC
Right, the fix to gtk-sharp2 fixed this issue.  Resolving RAWHIDE.


Note You need to log in before you can comment on or make changes to this bug.